/* ==========================================================================
    Icons
    ========================================================================== */

.icon-searching:before {
    color: #363d42;
}

.icon-globe-2:before,
.icon-right-arrow:before {
    color: #000;
}

/* ==========================================================================
    Header
    ========================================================================== */

.global-header-v3 {
    .global-header-container {
        box-shadow: 0 0.1875rem 0.375rem rgba(0, 0, 0, 0.16);

        &.show-responsive-container {
            padding-bottom: 0;
            background-color: #FFDC19;
        }

        .main-navbar {
            box-shadow: none;
            -webkit-box-shadow: none;
            background-color: #FFDC19;

            .main-navbar__logo img {
                width: 8rem;
            }

            ul.main-navbar-links {
                width: 60%;
            }

            .main-navbar-links {
                li {
                    font-family: Barlow-SemiBold, Helvetica, Arial, sans-serif;
                    font-size: 0.95rem;
                    letter-spacing: normal;
                    line-height: 1.1875rem;
                    color: #000000;
                    display: block;
                    height: 100%;
                    align-items: initial;
                    padding: 0;
                    cursor: unset;

                    .level0-item {
                        margin-right: 2.5rem;
                        padding:0;
                        height: 100%;
                        align-items: center;
                        color: inherit;

                        &:hover {
                            color: inherit;

                            .menu-dropdown {
                                display: block;
                            }
                        }

                        &.selected {
                            color: inherit;

                            &:after {
                                background: #000;
                                bottom: 0;
                                content: "";
                                height: .1875rem;
                                left: 0;
                                margin: auto;
                                position: absolute;
                                right: 0;
                                width: 100%;
                                transform: none;
                            }
                        }
                    }

                    .menu-dropdown {
                        position: absolute;
                        top: 100%;
                        left: 0;
                        background: #000;
                        border-radius: 4px;
                        list-style: none;
                        padding: 0;
                        margin: 0;
                        width: 16rem;
                        z-index: 1000;
                        transform: none;
                        border-top: none;

                        .dropdown-groups-wrapper {
                            flex-direction: column;
                            padding-top: 22.4px;
                            padding-bottom: 7.6px;

                            .dropdown-group {
                                width: unset;
                                display: flex;
                                border-right: none;
                            }

                            .dropdown-group-title {
                                font-family: Barlow-Medium, Helvetica, Arial, sans-serif;
                                font-size: 1rem;
                                letter-spacing: 0;
                                color: #FFDC19;
                                display: block;
                                margin: 0;
                                height: auto;
                                cursor: pointer;
                                align-items: initial;
                                border: none;
                                padding: 7.6px 20px 10px 9px;

                                &:hover {
                                    background-color: #000;
                                    border-color: transparent;
                                    color: #fff;
                                }

                                a {
                                    text-decoration: none;
                                    color: inherit;
                                    display: block;
                                    padding: .5625rem .75rem .75rem .75rem;
                                    line-height: 1.1875rem;
                                }
                            }
                        }
                    }
                }
            }

            .main-navbar__actions {
                .cmp-header-v3__smart-button .smartbutton .primary-btn {
                    background-color: #000000;
                    color: #FFDC19;
                    border: 3px solid #000000;
                    padding: .8125rem 2rem;

                    &:hover {
                        background-color: #FFFFFF;
                        color: #000000;
                    }
                }
            }
        }

        /* Responsive Styles */

        &.show-responsive-container {
            padding-bottom: 0;
            background-color: #FFDC19;
        }

        .main-navbar-responsive-wrapper {
            .main-navbar-responsive__main-list.level1 {
                padding-bottom: 50px;

                li a {
                    color: #000;
                }
            }

            .responsive-selector-list {
                color: #000;
                position: relative;
                background-color: #FFDC19;
                height: 100%;

                .icon-left-arrow {
                    color: inherit;
                    top: 1.0625rem;
                }

                ul {
                    background-color: transparent;
                    height: auto;

                    li {
                        background-color: transparent;

                        .responsive-selector-list__lang {
                            color: inherit;
                        }
                    }
                }
            }
        }


    }

    .u-search-overlay {
        background: transparent;
    }

    @media (max-width: 1023px) {
        .main-navbar {
            .main-navbar-responsive-wrapper {
                height: 100%;

                .level1 {
                    .toggle-button {
                        color: #000;
                    }

                    li a {
                        border-right: none;
                    }
                }

                .l2-item {
                    background: transparent;

                    .level-2-anchor {
                        border: none;
                    }
                }

                .responsive-selector {
                    background-color: #FFDC19;
                }
            }
        }
    }

    @media (min-width: 1024px) {
        .main-navbar {
            height: 4rem;

            .main-navbar__wrapper .main-navbar__logo img {
                width: 10.475rem;
            }
        }
    }
}